package com.fdkankan.common.constant;

/**
 * 操作类型枚举
 */
public enum SceneVersionType {

    V3("V3", "V3"),
    V4("V4", "V4");

    private String code;
    private String message;

    private SceneVersionType(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String code() {
        return code;
    }

    public String message() {
        return message;
    }

    public static SceneVersionType get(String code){
        SceneVersionType[] values = SceneVersionType.values();
        String enumValue = null;
        for(SceneVersionType eachValue : values){
            enumValue = eachValue.code();
            if(enumValue.equals(code)){
                return eachValue;
            }
        }
        return null;
    }

}
